Disconnect an account; its credentials are erased and open (draft / pending) actions are rejected.
Request
curl -X DELETE "https://api.appgoat.ai/v1/connections/123" \
-H "x-api-key: $APPGOAT_API_KEY"const res = await fetch("https://api.appgoat.ai/v1/connections/123", {
method: 'DELETE',
headers: {
"x-api-key": process.env.APPGOAT_API_KEY,
},
});
const { data, meta } = await res.json();import os, requests
res = requests.delete(
"https://api.appgoat.ai/v1/connections/123",
headers={"x-api-key": os.environ["APPGOAT_API_KEY"]}
)
body = res.json()Path parameters
idstringrequiredConnection id (
con_…).Response
200 with a JSON body. See the envelope for meta.
Example
nullStatus codes
200
Deleted.
Missing or invalid API key.
404
not_foundNot found.
429
rate_limitedToo many requests per second for your plan.